Skip to main content
GET
/
qr-groups
/
{id}
Get a QR group
curl --request GET \
  --url https://api.awardee.dev/v1/qr-groups/{id} \
  --header 'Authorization: Bearer <token>'
{
  "object": "<string>",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "description": "<string>",
  "destination": {
    "type": "<string>",
    "chatbot": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "page": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "knowledge_base": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "url": "<string>"
  },
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Send your API key as Authorization: Bearer aw_live_…. Manage keys in the dashboard under Settings → API Keys.

Path Parameters

id
string<uuid>
required

Response

QR group

object
string
required
Allowed value: "qr_group"
id
string<uuid>
required
name
string
required
description
string | null
required
status
enum<string> | null
required
Available options:
unconfigured,
active,
inactive,
archived
destination
object
required
created_at
string<date-time>
required
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
updated_at
string<date-time>
required
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$